#include "sprite.h"
#include "world.h"

int hitbox(int x, int y, int width, int height)
{
	height--;
	width--;
	int type=CTG_EMPTY;
	for (int i=0; i<=height; i++)
	{
		if (world_get_ctg(x+width, y+i)==CTG_SOIL || world_get_ctg(x, y+i)==CTG_SOIL)
			type=CTG_SOIL;
		if (world_get_ctg(x+width, y+i)==CTG_DEATH || world_get_ctg(x, y+i)==CTG_DEATH)
			return CTG_DEATH;
	}
	return type;
}